Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 710

Summary: sndconfig reports error when trying to play sound sample
Product: [Retired] Red Hat Linux Reporter: isingh
Component: sndconfigAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 5.1CC: keybounce
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-01-12 02:07:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description isingh 1999-01-06 16:24:14 UTC
I have ensoniq soundscape sound card. When I run sndconfig
and set the soundcard to SoundBlaster Pro (I believe it is
compatible to that), the sndconfig reports error playing
the example sound clip. If I run audio cd from CD player (I
have Toshiba DVD drive) using cdp or any audio programs, I
shows as playing but can't hear any sound. Just a note that
it does run perfectly in Windows 95. Shoudl I copy the I/O
port addresses from WIndows settings in Linux. Another
thing is that I can't change those I/O port and DMA
settings beyond the three/four choices listed in the
sndconfig menu window.

Comment 1 Bill Nottingham 1999-01-06 17:15:59 UTC
Actually, you should probably try to use the soundscape
driver (or the ad1848 driver if you've got a SoundScape
VIVO.)

Comment 2 Bill Nottingham 1999-01-12 02:07:59 UTC
In that case, it's not supported.
However, if you grab the latest sndconfig RPMs (0.29)
at ftp://ftp.redhat.com/sound/sndconfig, and the latest
kernel in the errata, it's got a chance of working (there is a soundscape option.) As to the DVD card, I have no idea.

Comment 3 keybounce 1999-02-04 18:44:59 UTC
I also have a problem with sndconfig 5.1 on a sound blaster compatible
pnp card. Pnpdump ID's it as a YMH0020, and a OPL3-SAX-Sound board.
(Yamaha 719 3d pnp). Even if I use isapnp to put it at 220/5/1, I get
an error message about resetting the dsp on the board from sndconfig.

(Incidently, the 5.1 sndconfig also kills my pnp eithenet card).

The real problem? There's no documentation I can find anywhere that
tells me what I need to do to configure a sound card on my own. I have
no idea what to put into /etc/modules.conf.

(Still, I'll try that new sndconfig, and see what happens. Gad, I hate
when a commercial package requires an out-of-date version of linux.)